> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# authorizationSummaries

> A summary of authorizations (counts, amounts) for the given transaction date, grouped by acceptor, transaction currency, response code, and payment brand.

`Query`

## Arguments

<ParamField path="input" type="AuthorizationSummaryInput!" required>
  <Expandable title="child attributes">
    <ParamField path="orderBy" type="[AuthorizationSummarySortTypeInput!]">
      <Expandable title="child attributes">
        <ParamField path="field" type="AuthorizationSummarySortField!" required>
          <Expandable title="Possible enum values">
            <ParamField path="TRANSACTION_CURRENCY" type="enum" />

            <ParamField path="TRANSACTION_COUNT" type="enum" />

            <ParamField path="TRANSACTION_AMOUNT_APPROVED" type="enum" />

            <ParamField path="TRANSACTION_AMOUNT_REQUESTED" type="enum" />

            <ParamField path="PROCESSOR_RESPONSE_CODE" type="enum" />

            ...and 13 more values. See [AuthorizationSummarySortField](/acquiring/reference/graphql/types/authorization-summary-sort-field) for the full list.
          </Expandable>
        </ParamField>

        <ParamField path="sortDirection" type="SortingEnumType!" required>
          See [SortingEnumType](/acquiring/reference/graphql/types/sorting-enum-type)
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="AuthorizationSummaryFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="acceptorId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="transactionActivityDate" type="DateRangeFilterInput!" required>
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="transactionCurrency" type="String" />
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`AuthorizationSummaryCollection`

<ResponseField name="items" type="[AuthorizationSummary!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptor" type="Acceptor">
      See [Acceptor](/acquiring/reference/graphql/types/acceptor)
    </ResponseField>

    <ResponseField name="approvalStatus" type="AuthorizationApprovalStatus!" required>
      Specifies if the authorization was fully approved, partially approved, or declined.

      <Expandable title="Possible enum values">
        <ResponseField name="APPROVED" type="enum" />

        <ResponseField name="PARTIALLY_APPROVED" type="enum" />

        <ResponseField name="DECLINED" type="enum" />
      </Expandable>
    </ResponseField>

    <ResponseField name="avsResponse" type="String!" required>
      The Address Verification Service (AVS) result provided by the payment brand that verifies the entered address information matches the address information on file with the issuing bank.
    </ResponseField>

    <ResponseField name="issuingBankCountry" type="String!" required>
      The ISO 3166-1 three-letter country code associated with the issuing bank.
    </ResponseField>

    <ResponseField name="issuingBankName" type="String!" required>
      The name of the issuing bank
    </ResponseField>

    <ResponseField name="merchantCategory" type="String!" required>
      Unique ISO four digit values used to classify merchants and their transactions into specific categories based on the type of business, trade or services supplied.
    </ResponseField>

    <ResponseField name="organization" type="Organization!" required>
      See [Organization](/acquiring/reference/graphql/types/organization)
    </ResponseField>

    <ResponseField name="paymentBrand" type="PaymentBrand!" required>
      Specifies which payment brand was used, e.g., Visa, Mastercard, Discover, American Express, etc.

      See [PaymentBrand](/acquiring/reference/graphql/types/payment-brand)
    </ResponseField>

    <ResponseField name="paymentChannel" type="String!" required>
      The card-present or card-not-present channel from which the customer makes a payment, e.g., In-store using a physical card terminal, online, or over the phone or through mail order.
    </ResponseField>

    <ResponseField name="paymentFundingSource" type="String!" required>
      Specifies the source of the card customer's funds , e.g., credit, debit, pre-paid.
    </ResponseField>

    <ResponseField name="paymentProduct" type="String!" required>
      The product name according to the payment brand (e.g. World Elite Mastercard card), if applicable.
    </ResponseField>

    <ResponseField name="processingNetwork" type="Network!" required>
      The payment network that the transaction was sent across, which may be unaffiliated with the card brand.

      See [Network](/acquiring/reference/graphql/types/network)
    </ResponseField>

    <ResponseField name="processorResponseCode" type="String!" required>
      A normalized response code defined by Tesouro that maps to the network's authorization response code.
    </ResponseField>

    <ResponseField name="processorResponseMessage" type="String!" required>
      A human readable description of the authorization response code. e.g., Insufficient funds.
    </ResponseField>

    <ResponseField name="securityCodeNetworkResponse" type="String!" required>
      The response code sent from the network detailing the card security code verification results.
    </ResponseField>

    <ResponseField name="transactionActivityDate" type="Date!" required>
      The date Tesouro recognized the payment request based upon the acceptor cutoff
    </ResponseField>

    <ResponseField name="transactionAmountApproved" type="Decimal!" required>
      The total amount approved for authorization, which may be different than the total amount requested.
    </ResponseField>

    <ResponseField name="transactionAmountRequested" type="Decimal!" required>
      The total amount requested for authorization
    </ResponseField>

    <ResponseField name="transactionCount" type="Int!" required>
      The total number of transactions
    </ResponseField>

    <ResponseField name="transactionCurrency" type="String!" required>
      The currency specified on the transaction, in ISO 4217 alpha currency code format.
    </ResponseField>

    <ResponseField name="transactionType" type="PaymentTransactionType!" required>
      The type of transaction, e.g., Authorization, Capture, Refund, Reversal, Incremental authorization, Authentication.

      See [PaymentTransactionType](/acquiring/reference/graphql/types/payment-transaction-type)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query AuthorizationSummaries($input: AuthorizationSummaryInput!) {
    authorizationSummaries(input: $input) {
      items {
        acceptor {
          authorizationSummaries
          businessName
          id
          name
          reference
        }
        approvalStatus
        avsResponse
        issuingBankCountry
        issuingBankName
        merchantCategory
        organization {
          authorizationSummaries
          businessName
          capabilities
          id
          legalName
          name
          phoneNumber
        }
        paymentBrand
        paymentChannel
        paymentFundingSource
        paymentProduct
        processingNetwork
        processorResponseCode
        processorResponseMessage
        securityCodeNetworkResponse
        transactionActivityDate
        transactionAmountApproved
        transactionAmountRequested
        transactionCount
        transactionCurrency
        transactionType
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "transactionActivityDate": "example"
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query AuthorizationSummaries($input: AuthorizationSummaryInput!) {\n  authorizationSummaries(input: $input) {\n    items {\n      acceptor {\n        authorizationSummaries\n        businessName\n        id\n        name\n        reference\n      }\n      approvalStatus\n      avsResponse\n      issuingBankCountry\n      issuingBankName\n      merchantCategory\n      organization {\n        authorizationSummaries\n        businessName\n        capabilities\n        id\n        legalName\n        name\n        phoneNumber\n      }\n      paymentBrand\n      paymentChannel\n      paymentFundingSource\n      paymentProduct\n      processingNetwork\n      processorResponseCode\n      processorResponseMessage\n      securityCodeNetworkResponse\n      transactionActivityDate\n      transactionAmountApproved\n      transactionAmountRequested\n      transactionCount\n      transactionCurrency\n      transactionType\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "transactionActivityDate": "example"
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "authorizationSummaries": {
        "items": [
          {
            "acceptor": {
              "allocations": "example",
              "authorizationSummaries": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessName": "Clacksworth Keyboards",
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "reference": "example"
            },
            "approvalStatus": "APPROVED",
            "avsResponse": "example",
            "issuingBankCountry": "example",
            "issuingBankName": "example",
            "merchantCategory": "example",
            "organization": {
              "acceptorApplicationCounts": [
                "example"
              ],
              "acceptors": "example",
              "achNotificationsOfChange": "example",
              "achReturns": "example",
              "allocations": "example",
              "allowedMerchantCategories": [
                "example"
              ],
              "authorizationSummaries": "example",
              "businessAddress": "example",
              "businessName": "Clacksworth Keyboards",
              "capabilities": [
                "ACQUIRING"
              ],
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisbursementReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "legalName": "example",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "phoneNumber": "example",
              "reportAvailability": [
                "example"
              ],
              "settings": "example"
            },
            "paymentBrand": "VISA",
            "paymentChannel": "example",
            "paymentFundingSource": "example",
            "paymentProduct": "example",
            "processingNetwork": "VISA",
            "processorResponseCode": "example",
            "processorResponseMessage": "example",
            "securityCodeNetworkResponse": "example",
            "transactionActivityDate": "2026-01-15",
            "transactionAmountApproved": 0,
            "transactionAmountRequested": 0,
            "transactionCount": 0,
            "transactionCurrency": "example",
            "transactionType": "AUTHORIZATION"
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
